Note della versione / Piwigo 2.9.1

bug fixes (including security)

2.9.1
Scarica Piwigo 2.9.1

Uscita il 15 Giugno 2017

md5sum

L'elenco delle principali modifiche è descritto nelle note della versione 2.9.0

Bug corretti

Problemi noti

lingue

Funzionalità aggiunte

Aggiornamento

Bug corretti

707 / Visualizzazione

number of views, hide decimals when less than 1k

706 / Security

[security] identification should redirect within Piwigo only

705 / Security

user list backend, check input parameter

701 / Tools

The album synchronise link reaches the page to synchronise ./galleries/ even if the album is located in another folder

699 / Security

File inclusion in administration

696 / web API

PIWIGO API - pwg.categories.delete doesn't work properly.

693 / Technical

Batch downloader failing using pclzip and php 7.1

685 / Photos

batch manager, delete photo does not work with Safari

683 / Visualizzazione

disk usage, hide decimals when more than 100GB

679 / Technical

admin dashboard, need trigger for plugins

674 / Technical

[php7.1] user edit box, [] operator not supported for strings

667 / Security

Bug Report: Cross Site Scripting(XSS) in page parameter of admin.php

663 / Technical

SQL error in tour 2.9

Problemi noti

710 / Security

input parameter "redirect_decoded" is not valid

lingue

Lingue aggiornate

Catalano (Català)

Inglese britannico (British English)

Esperanto

Basco (Euskara)

Finlandese (suomi)

Quebecchese (Québecois)

Ungherese (Magyar)

Khmer (ភាសាខ្មែរ)

Portoghese (Português)

Rumeno (Română)

Slovacco (Slovensky)

Sloveno (Slovenščina)

Serbo (Српски)

Svedese (Svenska)

Vietnamita (Tiếng Việt)

Cinese (简体中文)

Hong Kong (中文香港)

Aggiornamento

Raccomandiamo l'aggiornamento automatico. Se usi la versione 2.2+, Piwigo ti dirà quali plugin non sono ancora compatibili con la versione 2.9.

Se stai utilizzando Piwigo 2.9.0, puoi scaricare l'archivio 2.9.0_to_2.9.1.zip che contiene solo file nuovi o modificati. Una volta estratti i file, caricali tramite FTP sul tuo sito sulla tua installazione 2.9.0. Il tuo database non ha bisogno di un aggiornamento.

Se stai utilizzando una versione precedente a 2.9 e non vuoi approfittare dell'aggiornamento automatico, segui l'aggiornamento manuale.